<?php

class SSX {
	static $xmlns = "http://asp.mexmat.net/xmlns/ssx";
};

class SSXML
{
	var $body = "";
	var $stack = array();
	public function __construct()
	{
		$this->body = "<?xml version='1.0' encoding='utf8'?>\n";
	}

	public function data($str)
	{
		$this->body .= $str;
	}

	public function push($tag, $attr = "")
	{
		$this->body .= "<".$tag." ".$attr.">";
		array_push($this->stack, $tag);
	}

	public function pop($tag = NULL)
	{
		while (count($this->stack)) {
			$local = array_pop($this->stack);
			$this->body .= "</".$local.">\n";
			if ($tag != NULL && $tag == $local)
				break;

		} 
	}

	public function text()
	{
		$this->pop();
		return $this->body;
	}

	public function xml()
	{
		return DomDocument::loadXML($this->text());
	}
}

class SSXSLT 
{
	var $xslt_file = "";
	var $xslt_doc = NULL;
	var $xslt = NULL;
	public function __construct($xslt_file = "default.xslt")
	{
		$this->xslt_file = $xslt_file;

		$xslt_doc = DomDocument::load($this->xslt_file);
		if (!$xslt_doc) exit (1);

		$this->xslt_doc = $xslt_doc;

		$xslt = new XSLTProcessor();
		if (!$xslt) exit (1);

		$xslt->importStylesheet($this->xslt_doc);
		$this->xslt = $xslt;
		//$xslt->setParameter("http://asp.mexmat.net/xmlns/m9ls", "output", "");
	}

	public function error_init()
	{
		global $_GET;
		error_reporting(0);

		$debug = $_GET["debug"];

		if ($debug == "yes") 
			error_reporting(E_ALL);
	}

	public function xslt( $xml )
	{
		return $this->xslt->transformToXML($xml);
	}
}

?>
